# https://github.com/TokTok/c-toxcore/archive/v0.2.2.tar.gz
%global oname c-%{name}
%global major 2
%global daemon 0

Name:             toxcore
Version:          0.2.18
Release:          %mkrel 2
Summary:          Secure, configuration-free, P2P Skype replacement backend

License:          GPLv3
Group:		        Networking/Instant messaging
URL:              https://tox.chat
Source0:          %{oname}-%{version}.tar.xz
Source1:	        tox-bootstrapd

BuildRequires:	  %{_lib}config-devel
BuildRequires:	  %{_lib}opus-devel
BuildRequires:    %{_lib}sodium-devel
BuildRequires:	  %{_lib}vpx-devel
%if %{daemon}
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper
%endif
Provides:         %{_lib}toxav%{major} = %{version}-%{release}
Provides:         %{_lib}toxcore%{major} = %{version}-%{release}
Provides:         %{_lib}toxdns%{major} = %{version}-%{release}
Provides:         %{_lib}toxencryptsave%{major} = %{version}-%{release}

%description
With the rise of government surveillance programs, Tox, a FOSS
initiative, aims to be an easy to use, all-in-one communication
platform that ensures full privacy and secure message delivery.

%package devel
Summary:	        Development files for %{name}
Group:		        Development/Libraries
Requires:	        %{name}
Provides:	        %{_lib}toxav-devel = %{version}-%{release}
Provides:	        %{_lib}toxcore-devel = %{version}-%{release}
Provides:	        %{_lib}toxdns-devel = %{version}-%{release}
Provides:	        %{_lib}toxencryptsave-devel = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%setup -qn %{oname}-%{version}

%build
autoreconf -fi
%configure2_5x \
  %if %{daemon}
  --enable-daemon \
  %endif
  --disable-ntox \
  --disable-static \
  --enable-dht-bootstrap \
  --disable-tests
%make_build

%install
%makeinstall_std
%if %{daemon}
%__install -Dm755 %{S:1} %{buildroot}%{_initddir}/tox-bootstrapd
%__install -Dm644 other/bootstrap_daemon/tox-bootstrapd.conf %{buildroot}%{_sysconfdir}/tox-bootstrapd.conf
%endif
find %{buildroot} -name "*.la" -delete

%if %{daemon}
%pre
if [ "$1" = 1 ]; then
%_pre_useradd tox-bootstrapd /var/lib/tox-bootstrapd /bin/false
%__install -dm750 -o tox-bootstrapd -g tox-bootstrapd %{_localstatedir}/lib/tox-bootstrapd
fi

%post
%_post_service tox-bootstrapd
if [ "$1" = 1 ]; then
%__service tox-bootstrapd start
fi

%preun
if [ "$1" = 0 ]; then
%_preun_service tox-bootstrapd
fi

%postun
if [ "$1" = 0 ]; then
%{_sbindir}/userdel -r tox-bootstrapd &>/dev/null
fi
%endif

%files
%if %{daemon}
%{_initddir}/tox-bootstrapd
%config(noreplace) %{_sysconfdir}/tox-bootstrapd.conf
%{_bindir}/tox-bootstrapd
%attr(750,tox-bootstrapd,tox-bootstrapd) %ghost %dir %{_localstatedir}/lib/tox-bootstrapd
%attr(755,tox-bootstrapd,tox-bootstrapd) %ghost %dir %{_localstatedir}/run/tox-bootstrapd
%endif
%{_bindir}/DHT_bootstrap
%{_libdir}/libtox*.so.*

%files devel
%{_includedir}/tox
%{_libdir}/libtox*.so
%{_libdir}/pkgconfig/libtox*.pc

%changelog
* Thu Oct 27 2022 tex - 0.2.18-2pclos2022
- rebuild against updates

* Sat Aug 27 2022 tex - 0.2.18-1pclos2022
- new version

* Fri Dec 24 2021 tex - 0.2.13-1pclos2022
- new version

* Tue May 18 2021 tex - 0.2.12-3pclos2021
- rebuild against updates

* Sun Dec 13 2020 tex - 0.2.12-2pclos2020
- rebuild against updates

* Tue Aug 04 2020 tex - 0.2.12-1pclos2020
- new version

* Sat May 04 2019 tex - 0.2.2-2pclos2019
- rebuild against updates

* Fri May 04 2018 marcin82 <fixxer1982 at gmail.com> 0.2.2-1pclos2018
- update

* Sat Jan 06 2018 marcin82 <m82 at op.pl> 0.1.11-1pclos2018
- update

* Thu Nov 16 2017 bb2 <bb2> - 0.1.10-2pclos2017
- rebuild against updates (new sodium)

* Wed Oct 11 2017 marcin82 <marcin82 at vp.pl> 0.1.10-1pclos2017
- update

* Thu Jun 15 2017 marcin82 <marcin82 at vp.pl> 0.1.9-1pclos2017
- update
- changes in tox-bootstrapd service file

* Mon May 08 2017 marcin82 <marcin82 at vp.pl> 0.1.8-1pclos2017
- update

* Mon Mar 27 2017 marcin82 <marcin82 at vp.pl> 0.1.7-1pclos2017
- update

* Mon Feb 27 2017 marcin82 <marcin82 at vp.pl> 0.1.6-1pclos2017
- update

* Mon Jan 02 2017 bb <bb> 0.1.2-2pclos2017
- remove epoch

* Thu Dec 30 2016 marcin82 <marcin82 at vp.pl> 0.1.2-1pclos2017
- update
- changed source code url

* Thu Dec 15 2016 marcin82 <marcin82 at vp.pl> 3769-1pclos2017
- Initial build for PCLinuxOS
